Readiness check
curl --request GET \
--url https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/ops/readinessimport requests
url = "https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/ops/readiness"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/ops/readiness', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"db": "ok",
"migrations": 123
}{
"error": {
"code": "validation_error",
"message": "Request body failed schema validation.",
"details": [
{
"path": "/subject_id",
"message": "subject_id is required.",
"code": "invalid_type"
}
],
"request_id": "req_01j2k3m4n5"
}
}System
Readiness Check
Probes the database connection. Returns 503 if the pool is unavailable or migrations have not run.
GET
/
v1
/
ops
/
readiness
Readiness check
⌘I